
  viessmann-lang-dieter-de:
    build:
      dockerfile: dockerfile_php8
      context: php
    hostname: ${SERVICES_VIESSMANN_LANG_DIETER_DE_HOSTNAME}
    container_name: ${SERVICES_VIESSMANN_LANG_DIETER_DE_CONTAINER_NAME}
    restart: unless-stopped

    depends_on:
      traefik:
        condition: service_healthy

    networks:
      crowdsec:
        # Feste IPv4-Adresse für den Container in diesem Netzwerk
        ipv4_address: ${SERVICES_VIESSMANN_LANG_DIETER_DE_NETWORKS_CROWDSEC_IPV4}

    labels:
      traefik.enable: "true"
      traefik.docker.network: $NETWORKS_CROWDSEC_NAME
      traefik.http.routers.viessmann-lang-dieter-de.entrypoints: websecure
      traefik.http.routers.viessmann-lang-dieter-de.rule: "HOST($SERVICES_VIESSMANN_LANG_DIETER_DE_DOMAIN)"
      traefik.http.routers.viessmann-lang-dieter-de.tls.certresolver: http_resolver
      traefik.http.routers.viessmann-lang-dieter-de.tls: "true"

    volumes:
      - ./html/viessmann:/var/www/html
      - ./var/log/viessmann:/var/log                                                 #log-files

  iobroker:
    hostname: ${SERVICES_IOBROKER_HOSTNAME}
    image: ${SERVICES_IOBROKER_IMAGE}:${SERVICES_IOBROKER_IMAGE_VERSION}
    container_name: ${SERVICES_IOBROKER_CONTAINER_NAME}
    restart: unless-stopped

    depends_on:
      influxdb:
        condition: service_started
    ports:
      - "8081:8081"
      - "8082:8082"
      - "8088:8088"
    networks:
      crowdsec:
        # Feste IPv4-Adresse für den Container in diesem Netzwerk
        ipv4_address: ${SERVICES_IOBROKER_NETWORKS_CROWDSEC_IPV4}

    labels:
      traefik.enable: "true"
      traefik.docker.network: $NETWORKS_CROWDSEC_NAME
      traefik.http.routers.iobroker.entrypoints: websecure
      traefik.http.routers.iobroker.rule: "HOST($SERVICES_IOBROKER_DOMAIN) || PathPrefix(`/vis`)"

      traefik.http.routers.iobroker.tls.certresolver: http_resolver
      traefik.http.routers.iobroker.tls: "true"

    volumes:
      - ./iobrokerdata:/opt/iobroker
      - ./var/log/iobroker:/var/log                                                 #log-files

  influxdb:
    hostname: ${SERVICES_INFLUXDB_HOSTNAME}
    image: ${SERVICES_INFLUXDB_IMAGE}:${SERVICES_INFLUXDB_IMAGE_VERSION}
    container_name: ${SERVICES_INFLUXDB_CONTAINER_NAME}
    restart: unless-stopped
    ports:
      - "8083:8083"
      - "8086:8086"
      - "8090:8090"
      - "2003:2003"
    networks:
      crowdsec:
        # Feste IPv4-Adresse für den Container in diesem Netzwerk
        ipv4_address: ${SERVICES_INFLUXDB_NETWORKS_CROWDSEC_IPV4}

    labels:
      traefik.enable: "True"
      traefik.docker.network: $NETWORKS_CROWDSEC_NAME
      traefik.http.routers.influxdb.entrypoints: websecure
      traefik.http.routers.influxdb.rule: "HOST($SERVICES_INFLUXDB_DOMAIN)"

      traefik.http.routers.influxdb.tls.certresolver: http_resolver
      traefik.http.routers.influxdb.tls: "true"

    volumes:
      - ./influxdb/var/lib/influxdb:/var/lib/influxdb
      - ./influxdb/var/lib/influxdb2:/var/lib/influxdb2
      - ./var/log/influxdb:/log                                                 #log-files

  grafana:
    hostname: ${SERVICES_GRAFANA_HOSTNAME}
    image: ${SERVICES_GRAFANA_IMAGE}:${SERVICES_GRAFANA_IMAGE_VERSION}
    container_name: ${SERVICES_GRAFANA_CONTAINER_NAME}
    restart: unless-stopped
    depends_on:
      traefik:
        condition: service_healthy
    ports:
      - "3000:3000"
    networks:
      crowdsec:
        # Feste IPv4-Adresse für den Container in diesem Netzwerk
        ipv4_address: ${SERVICES_GRAFANA_NETWORKS_CROWDSEC_IPV4}

    labels:
      traefik.enable: "true"
      traefik.docker.network: $NETWORKS_CROWDSEC_NAME
      traefik.http.routers.grafana.entrypoints: websecure
      traefik.http.routers.grafana.rule: "HOST($SERVICES_GRAFANA_DOMAIN)"

      traefik.http.routers.grafana.tls.certresolver: http_resolver
      traefik.http.routers.grafana.tls: "true"

    volumes:
      - ./grafana/data:/var/lib/grafana
      - ./grafana/etc/grafana:/etc/grafana
      - ./var/log/grafana:/log                                                 #log-files


